import 'dotenv/config';
import { cleanEnv, num, str } from 'envalid';

export const env = cleanEnv(process.env, {
    NODE_ENV: str({ choices: ["development", "production"] }),
    LOG_LEVEL: str({
        choices: ["trace", "debug", "info", "warn", "error", "fatal", "silent"],
    }),
    LIQUID_RESCALE_API_URL: str({ default: '' }),
    BULL_CONCURRENCY: num({ default: 4 }),
    REDIS_HOST: str({ default: '' }),
    REDIS_PORT: num({ default: 0 }),
    VK_BOT_TOKEN: str({ default: '' })
});
