import Bull from "bull";
import { env } from "../../env";
import { liquidRescaleProcess } from "../processes/liquid.process";

export const liquidRescaleQueue = new Bull('liquid-rescale', {
    redis: {
        host: env.REDIS_HOST,
        port: env.REDIS_PORT
    }
});

liquidRescaleQueue.process(env.BULL_CONCURRENCY, liquidRescaleProcess);

const makeLiquidRescale = async (data: { imageUrl: string; }) => {
    return liquidRescaleQueue.add({ ...data }, { attempts: 3 });
};

export { makeLiquidRescale };